# © 2023 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResCompany(models.Model):
    _inherit = "res.company"

    training_number = fields.Char("N° Organisme de formation")
    agreement_special_condition = fields.Html("Conditions spéciales de la convention")
    title_color = fields.Char("Couleur du titre", default="#ffffff")
    title_bg_color = fields.Char("Couleur arrière plan du titre", default="#00b495")
    title_font = fields.Selection(
        [
            ("Lato", "Lato"),
            ("Roboto", "Roboto"),
            ("Open_Sans", "Open Sans"),
            ("Montserrat", "Montserrat"),
            ("Oswald", "Oswald"),
            ("Raleway", "Raleway"),
        ],
        string="Police des titres",
        default="Lato",
        required=True,
    )
    subtitle_color = fields.Char("Couleur sous-titre", default="#1c2f82")
    text_font = fields.Selection(
        [
            ("Lato", "Lato"),
            ("Roboto", "Roboto"),
            ("Open_Sans", "Open Sans"),
            ("Montserrat", "Montserrat"),
            ("Oswald", "Oswald"),
            ("Raleway", "Raleway"),
        ],
        string="Police du texte",
        default="Lato",
        required=True,
    )
    logo_ids = fields.One2many(
        comodel_name="res.company.training.logo",
        inverse_name="company_id",
        string="Logos",
    )
