# © 2023 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResCompanyTrainingLogo(models.Model):
    _name = "res.company.training.logo"
    _description = "Logos à afficher sur les documents de formation"

    logo = fields.Binary(required=True)
    name = fields.Char("Nom du logo")
    company_id = fields.Many2one(
        comodel_name="res.company",
        string="Company",
        required=True,
        default=lambda self: self.env["res.company"]._company_default_get(),
        ondelete="cascade",
    )
