# © 2023 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ResConfigSettings(models.TransientModel):
    _inherit = "res.config.settings"

    training_number = fields.Char(related="company_id.training_number", readonly=False)
    agreement_special_condition = fields.Html(
        related="company_id.agreement_special_condition", readonly=False
    )
    title_color = fields.Char(related="company_id.title_color", readonly=False)
    title_bg_color = fields.Char(related="company_id.title_bg_color", readonly=False)
    title_font = fields.Selection(related="company_id.title_font", readonly=False)
    subtitle_color = fields.Char(related="company_id.subtitle_color", readonly=False)
    text_font = fields.Selection(related="company_id.text_font", readonly=False)
    logo_ids = fields.One2many(related="company_id.logo_ids", readonly=False)
