# Copyright 2019-2022 Le Filament (<https://le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class TrainingSession(models.Model):
    _name = "training.session"
    _description = "Training sessions"
    _order = "sequence,id"
    _rec_name = "session_id"

    session_id = fields.Many2one(
        comodel_name="training.course.session", string="Session", required=True
    )
    training_id = fields.Many2one(
        comodel_name="training.training",
        string="Formation",
        ondelete="cascade",
        required=True,
    )
    customer_id = fields.Many2one(
        comodel_name="res.partner",
        string="Client",
        related="training_id.customer_id",
        store=True,
    )
    date = fields.Datetime()
    user_id = fields.Many2one(comodel_name="res.users", string="Formateur")
    date_delay = fields.Integer(string="Durée (h)")
    sequence = fields.Integer(string="Séquence", default=10)
